<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="../static/style.css">
    <title>{{ title }}</title>
  </head>
  <body>
    <p align=left><a href="{{ url_for('home') }}">Home page</a></p>
    {% if current_user.is_authenticated %}
    <p align=right>{{ current_user.name + ' ' + current_user.surname }}
      | <a href="{{ url_for('personal_page') }}">Personal page</a>
      | <a href="{{ url_for('logout') }}">Log out</a></p>
    {% else %}
    <p align=right><a href="{{ url_for('login') }}">Log in</a> | <a href="{{ url_for('register') }}">Register</a></p>
    {% endif %}
    {% with messages = get_flashed_messages(with_categories=true) %}
      {% if messages %}
        {% for category, message in messages %}
          <script type="text/javascript">
            alert("{{ message }}");
          </script>
        {% endfor %}
      {% endif %}
    {% endwith %}
    <h1>
      {% if heading %}
      {{ heading }}
      {% else %}
      {{ title }}
      {% endif %}
    </h1>
    {% block content %}{% endblock content %}
  </body>
</html>
